// C Source File
// Created 9/22/00; 11:05:41 PM

#define SAVE_SCREEN  // Save/Restore LCD Contents

#define OPTIMIZE_ROM_CALLS

#include <tigcclib.h>// Include All Header Files
#include "static.h"  //	Contains all static vars and defines
#include "catlg.h" 	 // Add catalog() (stats on enemies)
#include "apps.h"		 // Add Apps() and called functions
#include "bat.h" 		 // Add bat() 
#include "walk.h"    // Add walking and drawing routine

int _ti89,_ti92plus; // Compile for TI-89 and TI-92+

// Main Function
void _main(void)
{
  int a,i;
  long j;
  HANDLE handle;
  char buffer[31];
  randomize();	//initailize random number generator; needed for ExePack version
  //Intro
  ClrScr();
  FontSetSys(F_4x6);
  DrawStr(57,15,"Sign of the",A_NORMAL);
  DrawStr(57,80,"Singularity",A_NORMAL);
  ngetchx();
  ClrScr();
  FontSetSys(F_6x8);
  for(i=1;i<=53;i++)
    {
      if(i>1) DrawStr(i-1,38," ",A_REPLACE);
      DrawStr(i,38,"Paradox Point",A_REPLACE);
    }
  ngetchx();
  for(i=1;i<=45; i++)
    {
      if(i>1) DrawStr(i-1,48," ",A_REPLACE);
      DrawStr(i,48,"Studios",A_REPLACE);
    }
  ngetchx();
  for(i=1;i<=38;i++)
    {
      if (i>1) DrawStr(i-1,58," ",A_REPLACE);
      DrawStr(i,58,"Presents...",A_REPLACE);
    }
  ngetchx();
  for(i=1;i<=79; i++)
    {
      for(j=1;j<=100000; j++);
      DrawStr(79+i,38," ",A_REPLACE);
      DrawStr(80-i,38," ",A_REPLACE);
      DrawStr(79+i,48," ",A_REPLACE);
      DrawStr(80-i,48," ",A_REPLACE);
      DrawStr(79+i,58," ",A_REPLACE);
      DrawStr(80-i,58," ",A_REPLACE);
    }
  FontSetSys(F_8x10);
  DrawStr(47,40,"TWILIGHT",A_NORMAL);
  DrawStr(51,50,"SHADOWS",A_NORMAL);
  FontSetSys(F_4x6);
  strcpy(buffer,"Powered by the WarpTech engine");
  DrawStr(79-DrawStrWidth(buffer,F_4x6)/2,70,buffer,A_NORMAL);
  ngetchx();
	for (;;)
		{  
		  FontSetSys(F_6x8);
		  handle=PopupNew(NULL,0);
		  PopupAddText(handle,-1,"New",0);
		  PopupAddText(handle,-1,"Load",0);
		  PopupAddText(handle,-1,"Quit",0);
		  a=PopupDo(handle,CENTER,CENTER,0);
		  HeapFree(handle);
		  if(a==1)
		    {
		      strcpy(p.nm[0],"Ferris");
		      handle=DialogNewSimple(140,55);
		      DialogAddTitle(handle,"NEW GAME",BT_OK,BT_CANCEL);
		      DialogAddText(handle,3,20,"Enter thy name (max. 8 chars)");
		      DialogAddRequest(handle,3,30,"Thy name",0,8,14);
		      if (DialogDo (handle,CENTER,CENTER,p.nm[0],NULL)!=13) continue;
		      strcpy(p.items.nm[0],"Potion");
		      p.items.qty[0]=5;
		      strcpy(p.items.nm[1],"Ether");
		      p.items.qty[1]=2;
		      p.lv[0]=1;
		      p.hp[0]=p.hpt[0]=100;
		      p.mp=p.mpt=50;
		      p.pexp[0]=0;
		      p.nexp[0]=1000;
		      p.str[0]=20;
		      p.vit[0]=10;
		      p.mag[0]=15;
		      p.spr[0]=5;
		      p.spd[0]=16;
		      p.luc[0]=32;
		      p.eva[0]=100;
		      p.hit[0]=255;
		      strcpy(p.com[0],"Fight");
		      strcpy(p.com[1],"Guard");
		      strcpy(p.com[2],"Items");
		      strcpy(p.com[3],"Magic");
		      strcpy(p.wpn.nm,"Dagger");
		      strcpy(p.wpn.nms[0],"Dagger");
		      memset(p.wpn.vals,0,10);
		      p.wpn.val=p.wpn.vals[0]=5;
		      strcpy(p.shd.nm,"Buckler");
		      strcpy(p.shd.nms[0],"Buckler");
		      memset(p.shd.vals,0,10);
		      p.shd.val=p.shd.vals[0]=5;
		      p.scrx=p.scry=0;
		      p.posx=8;
		      p.posy=1;
		      p.dir=3;
		      p.dis=0;
		      p.gp=500;
		      memset(p.elemlv,1,7*sizeof(char));
		      memset(p.elemexp,0,7*sizeof(char));
		      strcpy(p.elem[0][0],"Heal");
		      strcpy(p.elem[1][0],"Quake");
		      strcpy(p.elem[2][0],"Fireball");
		      strcpy(p.elem[3][0],"Gale");
		      strcpy(p.elem[4][0],"Flood");
		      strcpy(p.elem[5][0],"Black Hole");
		      strcpy(p.elem[6][0],"Holy");
		      strcpy(p.nm[1],"??????");
		      strcpy(p.nm[2],"?????");
		      strcpy(p.nm[3],"?????");
		      strcpy(p.nm[4],"??????");
		      strcpy(p.nm[5],"???? ???????");
		      strcpy(p.nm[6],"????????");
		      strcpy(p.nm[7],"?????");
		      clrscr();
		      printf("Voice-Waketh from yon\nslumber...\n\nGood you are awake.\nI know it is yet\nnight, but I fear that\nthe day will not\nreturn.");
					ngetchx();  
					printf("%s\n-Why are you talking like\nthat!?",p.nm);
					ngetchx();  
					clrscr();
					printf("Voice-What are you talking\nabout m'lord?  I speak the\nKing's English.");
					ngetchx();  
					clrscr();
					printf("It is at that moment that\nyou realize something is\nterribly wrong. You sit\nbolt upright!\n\nYou recognize nothing!!!");
					ngetchx();  
					clrscr();
					printf("Voice-Sir are you well?\n%s-Why do you keep\ncalling me that?",p.nm);
					ngetchx();  
					clrscr();
					printf("The man talking to you\nappears to be some type of\nservant.");
					ngetchx();  
					clrscr();
					printf("Servant-I know you feasted\nhardily last night and\npassed out, but to not\nremember one's own name or\ntitle is another matter\nentirely!");
					ngetchx();  
					clrscr();
					printf("You remember a party last\nnight, but vaguely at best.");
					ngetchx();  
					clrscr();
					printf("Lord %s,\nthe castle is under siege!",p.nm);
					ngetchx();  
		      walk();
		    }
		  if(a==2)
		    {
		      if (data(LOAD)==1) continue;
		      walk();
		    }
  		if(a==3)	end();
  	}
}

/*/////////////////////////////////////////////////////////////////////////
Version E.0.22
External saves & maps version 0.22

Luke Imhoff
12/23/2000
/////////////////////////////////////////////////////////////////////////*/
